> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblServiceCallRoutedArgs

> XblServiceCallRoutedArgs

Contains information about a service call.

## Syntax

```cpp theme={null}
typedef struct XblServiceCallRoutedArgs {  
    HCCallHandle call;  
    uint64_t responseCount;  
    const char* fullResponseFormatted;  
} XblServiceCallRoutedArgs  
```

### Members

*call*\
Type: HCCallHandle

Handle for the HTTP call. The handle is valid only until the callback returns. To keep using it, duplicate it by calling [HCHttpCallDuplicateHandle](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallduplicatehandle.md), and close the duplicate later by calling [HCHttpCallCloseHandle](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallclosehandle.md).

*responseCount*\
Type: uint64\_t

A shared sequence counter that's incremented for each service call notification. It isn't a per-request retry count.

*fullResponseFormatted*\
Type: const char\*

A formatted message that describes the call, including the request URI, the HTTP status, the response headers, and the response body. The separately labeled Authorization Header and Signature Header diagnostic fields show `[redacted]` instead of their values. Because the string also includes response headers and the response body, don't assume that the complete string is sanitized. The string is valid only until the callback returns.

## Remarks

This structure is passed to an [XblCallRoutedHandler](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/functions/xblcallroutedhandler.md) callback that's registered by calling [XblAddServiceCallRoutedHandler](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/functions/xbladdservicecallroutedhandler.md).

## Requirements

**Header:** xbox\_live\_global\_c.h

## See also

[xbox\_live\_global\_c](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/xbox_live_global_c_members.md)


## Related topics

- [XblCallRoutedHandler](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/functions/xblcallroutedhandler.md)
- [xbox_live_global_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/xbox_live_global_c_members.md)
- [XblRemoveServiceCallRoutedHandler](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/functions/xblremoveservicecallroutedhandler.md)
- [XblAddServiceCallRoutedHandler](https://docs.xbox.com/reference/live/xsapi-c/xbox_live_global_c/functions/xbladdservicecallroutedhandler.md)
- [HCCallRoutedHandler](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hccallroutedhandler.md)
